linux-image-raspi provides zfs modules only for arm64

Bug #1886682 reported by Juerg Haefliger on 2020-07-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-meta-raspi (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
linux-meta-raspi-5.4 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]

The linux-image-raspi armhf package falsely claims that it provides zfs modules. Only the arm64 package actually does.

[Test Case]

$ apt-cache show linux-image-raspi | grep -P '^Provides|^Architecture'
Architecture: armhf
Provides: wireguard-modules (= 1.0.20200506-1~20.04.1), zfs-modules (= 0.8.3-1ubuntu12.1)

[Regression Potential]

Low.

Juerg Haefliger (juergh) on 2020-07-07
affects: linux-raspi2 (Ubuntu) → linux-raspi (Ubuntu)
affects: linux-raspi (Ubuntu) → linux-meta-raspi (Ubuntu)
summary: - linux-image-raspi provides only zfs for arm64
+ linux-image-raspi provides zfs modules only for arm64
Juerg Haefliger (juergh) on 2020-07-08
Changed in linux-meta-raspi (Ubuntu Focal):
status: New → Invalid
Changed in linux-meta-raspi (Ubuntu):
status: New → Invalid
Juerg Haefliger (juergh) on 2020-07-09
Changed in linux-meta-raspi (Ubuntu Focal):
status: Invalid → Confirmed
no longer affects: linux-meta-raspi (Ubuntu Bionic)
no longer affects: linux-meta-raspi-5.4 (Ubuntu Focal)
Juerg Haefliger (juergh) on 2020-07-09
Changed in linux-meta-raspi-5.4 (Ubuntu Bionic):
status: New → Confirmed
Changed in linux-meta-raspi-5.4 (Ubuntu):
status: New → Invalid
Juerg Haefliger (juergh) on 2020-07-10
Changed in linux-meta-raspi (Ubuntu Focal):
status: Confirmed → Fix Committed
Changed in linux-meta-raspi-5.4 (Ubuntu Bionic):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-raspi-5.4 - 5.4.0.1015.19

---------------
linux-meta-raspi-5.4 (5.4.0.1015.19) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

  * Miscellaneous Ubuntu changes
    - Revert "UBUNTU: [Packaging] Add transitional packages for raspi2 hwe
      upgrades"

linux-meta-raspi-5.4 (5.4.0.1015.17) bionic; urgency=medium

  * Bump ABI 5.4.0-1015

linux-meta-raspi-5.4 (5.4.0.1014.16) bionic; urgency=medium

  * linux-image-raspi provides zfs modules only for arm64 (LP: #1886682)
    - [Packaging] Only provide zfs for arm64

linux-meta-raspi-5.4 (5.4.0.1014.15) bionic; urgency=medium

  * Enable ZFS for Raspberry Pi arm64 (LP: #1884110)
    - [Packaging] Remove architecture selector from 'Provides' field

linux-meta-raspi-5.4 (5.4.0.1014.14) bionic; urgency=medium

  * Bump ABI 5.4.0-1014

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

  * Enable ZFS for Raspberry Pi arm64 (LP: #1884110)
    - [Config] raspi: Enable zfs modules for arm64

  * Add transitionals for hwe raspi2 upgrades (LP: #1885522)
    - [Packaging] Add transitional packages for raspi2 hwe upgrades

 -- Juerg Haefliger <email address hidden> Mon, 13 Jul 2020 18:53:29 +0200

Changed in linux-meta-raspi-5.4 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-raspi - 5.4.0.1015.50

---------------
linux-meta-raspi (5.4.0.1015.50) focal; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Packaging] Add transitionals for HWE kernels

linux-meta-raspi (5.4.0.1015.16) focal; urgency=medium

  * Bump ABI 5.4.0-1015

linux-meta-raspi (5.4.0.1014.15) focal; urgency=medium

  * linux-image-raspi provides zfs modules only for arm64 (LP: #1886682)
    - [Packaging] Only provide zfs for arm64

linux-meta-raspi (5.4.0.1014.14) focal; urgency=medium

  * Bump ABI 5.4.0-1014

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

  * Enable ZFS for Raspberry Pi arm64 (LP: #1884110)
    - [Config] raspi: Enable zfs modules for arm64

 -- Stefan Bader <email address hidden> Tue, 21 Jul 2020 18:56:39 +0200

Changed in linux-meta-raspi (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in linux-meta-raspi (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers